### Function

# RB RhythmDBEntryTypeSyncFunc

#### Declaration

    void
    (* None) (
      RhythmDBEntryType* entry_type,
      RhythmDBEntry* entry,
      GSList* changes,
      GError** error
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`entry_type`

  Type: `RhythmDBEntryType`

  No description available.

  The data is owned by the caller of the function.

`entry`

  Type: `RhythmDBEntry`

  No description available.

  The data is owned by the caller of the function.

`changes`

  Type: A list of `gpointer`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.